require File.join(File.expand_path('../../../helpers', __FILE__),  "document_spec_helper")


describe "a clonable Document" do

  before :each do
    @document = Doc()
    @tags = ['red', 'green', 'blue']
    @doc = @document.new({
      :name    => "foo",
      :age     => 27,
      :tags    => @tags,
    })
  end

  it 'should be new' do
    expect(@doc.clone).to be_new
  end

  it 'should copy the attributes' do
    clone = @doc.clone
    expect(clone.name).to eq "foo"
    expect(clone.age).to eq 27
  end

  it 'should clone duplicable attributes' do
    expect(@doc.clone.tags).not_to equal(@tags)
  end
end
