require File.join(File.expand_path('../../../helpers', __FILE__),  "document_spec_helper")


class ParentDocument
  include Tomte::Document

  key :foo, String
  key :bar, Integer, :default => 42
end


class ChildDocument < ParentDocument

  key :baz, String

end

describe "an inherited  Document" do

  it 'should be a document' do

    d = ChildDocument.new
    expect(d).to be_a_kind_of Tomte::Document
  end


  it 'should serialize and back' do
    d = ChildDocument.new(:foo => "foo", :baz => "baz")
    r = ChildDocument.from_tomte(d.to_tomte)

    expect(r).to be_a_kind_of Tomte::Document
    expect(r.foo).to eq "foo"
    expect(r.bar).to eq 42
    expect(r.baz).to eq "baz"
  end

end